
//  Created by Rodrigo 1/15/19.
//  Copyright © 2019 Rodrigo. All rights reserved.


import Foundation
class Strings {

    private static func localized(key: String) -> String {
        return NSLocalizedString(key, comment: "")
    }

    public static let copy = localized(key: "copy")
    public static let forward = localized(key: "forward")
    public static let reply = localized(key: "reply")
    public static let delete = localized(key: "delete")
    public static let cancel = localized(key: "cancel")
    public static let deleteForMe = localized(key: "delete_for_me")
    public static let share = localized(key: "share")
    public static let confirmation = localized(key: "confirmation")
    public static let deleteItemConfirmation = localized(key: "delete_item_confirmation")

    public static let no = localized(key: "no")
    public static let yes = localized(key: "yes")
    public static let you = localized(key: "you")
    public static let allMedia = localized(key: "all_media")

    public static let select = localized(key: "select")
    public static let `is` = localized(key: "is")
    public static let more = localized(key: "more")
    public static let info = localized(key: "info")

    public static let mute = localized(key: "mute")
    public static let unMute = localized(key: "unMute")
    public static let clearChat = localized(key: "clear_chat")

    public static let deleteChat = localized(key: "delete_chat")
    public static let deleteMessages = localized(key: "delete_messages")
    public static let unblock = localized(key: "unblock")
    public static let block = localized(key: "block")
    public static let clear_chat_confirmation_message = localized(key: "clear_chat_confirmation_message")
    public static let take_photo = localized(key: "take_photo")
    public static let pick_image = localized(key: "pick_image")
    public static let done = localized(key: "done")
    public static let created_at = localized(key: "created_at")
    public static let all_members_can_post = localized(key: "all_members_can_post")
    public static let only_admins_can_post = localized(key: "only_admins_can_post")
    public static let enter_group_name = localized(key: "enter_group_name")
    public static let group_name = localized(key: "group_name")
    public static let update = localized(key: "update")
    public static let settings = localized(key: "settings")
    public static let enter_your_status = localized(key: "enter_your_status")
    public static let status = localized(key: "status")
    public static let ok = localized(key: "ok")
    public static let enter_your_name = localized(key: "enter_your_name")
    public static let name = localized(key: "name")
    public static let restore_default_wallpaper = localized(key: "restore_default_wallpaper")
    public static let choose_from_camera_roll = localized(key: "choose_from_camera_roll")
    public static let wallpaper_changed = localized(key: "wallpaper_changed")
    public static let wallpaper_restored = localized(key: "wallpaper_restored")
    public static let calls = localized(key: "calls")
    public static let message_is_too_big = localized(key: "message_is_too_big")
    public static let choose_anumber = localized(key: "choose_anumber")
    public static let user_does_not_have_fireapp = String(format: localized(key: "user_does_not_have_fireapp"), Config.appName)
    public static let contacts = localized(key: "contacts")
    public static let file_not_exists = localized(key: "file_not_exists")
    public static let chats = localized(key: "chats")
    public static let new_group = localized(key: "new_group")
    public static let new_broadcast = localized(key: "new_broadcast")
    public static let add_participants = localized(key: "add_participants")
    public static let create = localized(key: "create")
    public static let add = localized(key: "add")
    public static let enter_broadcast_name = localized(key: "enter_broadcast_name")
    public static let broadcast_name = localized(key: "broadcast_name")
    public static let create_broadcast = localized(key: "create_broadcast")
    public static let create_group = localized(key: "create_group")
    public static let message = localized(key: "message")
    public static let remove_from_group = localized(key: "remove_from_group")
    public static let remove_member_confirmation_message = localized(key: "remove_member_confirmation_message")
    public static let make = localized(key: "make")
    public static let an_admin = localized(key: "an_admin")
    public static let make_admin_confirmation = localized(key: "make_admin_confirmation")
    public static let revoke_admin = localized(key: "revoke_admin")
    public static let revoke_admin_confirmation = localized(key: "revoke_admin_confirmation")
    public static let already_added = localized(key: "already_added")
    public static let no_link_generated = localized(key: "no_link_generated")
    public static let copied_to_clipboard = localized(key: "copied_to_clipboard")
    public static let error = localized(key: "error")
    public static let add_to_my_status = localized(key: "add_to_my_status")
    public static let uploading_status = localized(key: "uploading_status")
    public static let uploading_text_status = localized(key: "uploading_text_status")
    public static let error_uploading_text_status = localized(key: "error_uploading_text_status")
    public static let recent_updates = localized(key: "recent_updates")
    public static let viewed_updates = localized(key: "viewed_updates")
    public static let type_astatus = localized(key: "type_astatus")
    public static let my_statuses = localized(key: "my_statuses")
    public static let delete_status = localized(key: "delete_status")
    public static let user_hung_up = localized(key: "user_hung_up")
    public static let error_deleting_status = localized(key: "error_deleting_status")
    public static let fireapp_call = String(format:localized(key: "fireapp_call"),Config.appName)
    public static let connecting = localized(key: "connecting")
    public static let denied = localized(key: "denied")
    public static let no_answer = localized(key: "no_answer")
    public static let ended = localized(key: "ended")
    public static let default_status = String(format:localized(key: "default_status"),Config.appName)
    public static let user_name_empty = localized(key: "user_name_empty")
    public static let permissions_contacts_not_determined = localized(key: "permissions_contacts_not_determined")
    public static let permissions_contacts_authorized = localized(key: "permissions_contacts_authorized")
    public static let permissions_contacts_denied = localized(key: "permissions_contacts_denied")

    public static let permissions_camera_not_determined = localized(key: "permissions_camera_not_determined")
    public static let permissions_camera_authorized = localized(key: "permissions_camera_authorized")

    public static let permissions_camera_denied = localized(key: "permissions_camera_denied")
    public static let permissions_mic_not_determined = localized(key: "permissions_mic_not_determined")
    public static let permissions_mic_authorized = localized(key: "permissions_mic_authorized")
    public static let permissions_mic_denied = localized(key: "permissions_mic_denied")
    public static let permissions_photos_not_determined = localized(key: "permissions_photos_not_determined")
    public static let permissions_photos_authorized = localized(key: "permissions_photos_authorized")
    public static let permissions_photos_denied = localized(key: "permissions_photos_denied")
    public static let permissions_notifications_not_determined = localized(key: "permissions_notifications_not_determined")
    public static let permissions_notifications_authorized = localized(key: "permissions_notifications_authorized")
    public static let permissions_notifications_denied = localized(key: "permissions_notifications_denied")
    public static let are_now_an_admin = localized(key: "are_now_an_admin")
    public static let is_now_an_admin = localized(key: "is_now_an_admin")
    public static let no_longer_an_admin = localized(key: "no_longer_an_admin")
    public static let is_longer_an_admin = localized(key: "is_longer_an_admin")
    public static let added = localized(key: "added")
    public static let you_left = localized(key: "you_left")
    public static let left_group = localized(key: "left_group")
    public static let you_removed = localized(key: "you_removed")
    public static let removed = localized(key: "removed")
    public static let you_created_this_group = localized(key: "you_created_this_group")
    public static let created_this_group = localized(key: "created_this_group")
    public static let you_changed_group_preferences = localized(key: "you_changed_group_preferences")
    public static let changed_group_preferences = localized(key: "changed_group_preferences")
    public static let joined_via_link = localized(key: "joined_via_link")
    public static let typing = localized(key: "typing")
    public static let recording = localized(key: "recording")
    public static let online = localized(key: "online")
    public static let photos = localized(key: "photos")
    public static let audio = localized(key: "audio")
    public static let videos = localized(key: "videos")
    public static let documents = localized(key: "documents")
    public static let never = localized(key: "never")
    public static let wifi = localized(key: "wifi")
    public static let wifi_cellular = localized(key: "wifi_cellular")
    public static let photo = localized(key: "photo")
    public static let video = localized(key: "video")
    public static let voice_message = localized(key: "voice_message")
    public static let file = localized(key: "file")
    public static let location = localized(key: "location")
    public static let cancelled = localized(key: "cancelled")


    public static let just_now = localized(key: "just_now")
    public static let minutes_ago = localized(key: "minutes_ago")
    public static let hours_ago = localized(key: "hours_ago")
    public static let today = localized(key: "today")
    public static let days_ago = localized(key: "days_ago")
    public static let weeks_ago = localized(key: "weeks_ago")
    public static let today_at = localized(key: "today_at")
    public static let yesterday_at = localized(key: "yesterday_at")
    public static let at = localized(key: "at")
    public static let yesterday = localized(key: "yesterday")
    public static let exit_group_confirmation = localized(key: "exit_group_confirmation")
    public static let exit_group = localized(key: "exit_group")
    public static let cant_send_messages_to_group = localized(key: "cant_send_messages_to_group")
    public static let delete_for_everyone = localized(key: "delete_for_everyone")
    public static let video_is_long = localized(key: "video_is_long")
    public static let you_deleted_this_message = localized(key: "you_deleted_this_message")
    public static let this_message_deleted = localized(key: "this_message_deleted")
    public static let appDesc = String(format: localized(key: "app_desc"), Config.appName)
    public static let created_by = localized(key: "created_by")
    public static let media_auto_download = localized(key: "media_auto_download")
    public static let chat_settings = localized(key: "chat_settings")
    public static let invite_to_app = String(format: localized(key: "invite_to_app"), Config.appName)
    public static let invite_text = "\(String(format: localized(key: "invite_text"), Config.appName))\n\n \(Config.appLink)"
    public static let camera = localized(key: "camera")
    public static let contact = localized(key: "contact")
    public static let photo_and_video = localized(key: "photo_and_video")
    public static let privacy_policy = localized(key: "privacy_policy")
    public static let privacy_policy_info = localized(key: "privacy_policy_info")
    public static let agree_and_continue = localized(key: "agree_and_continue")
    public static let notifications_settings_blocked = localized(key: "notifications_settings_blocked")
    public static let voice_call = String(format: localized(key: "voice_call"), Config.appName)
    public static let video_call = String(format:localized(key: "video_call"),Config.appName)
    public static let please_wait = localized(key: "please_wait")
    public static let missed_call = localized(key: "missed_call")
    public static let already_in_group = localized(key: "already_in_group")
    public static let unknown_error = localized(key: "unknown_error")
    public static let cant_join_this_group = localized(key: "cant_join_this_group")
    public static let invalid_group_link = localized(key: "invalid_group_link")
    public static let participants = localized(key: "participants")

    public static let you_added_to_group = localized(key: "you_added_to_group")
public static let write_message = localized(key: "write_message")
    public static let privacy_policy_title = localized(key: "privacy_policy_title")
    public static let privacy_policy_message = String(format:localized(key: "privacy_policy_message"),Strings.privacy_policy)
public static let agree = localized(key: "agree")


}
